CREATETH(3)

NAME
createTH - create a hash table

SYNOPSYS
#include "logmmm.h"
pTH createTH(len)
int len;

PARAMETER

len Length of the hash table.

DESCRIPTION
createTH() creates a hash table in memory. len is an estimate of the maximum number of entries that the table will contain. This number may be adjusted by a dynamic reallocation.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
pTH mytable;
mytable = createTH(100);      	/* easy to make */

ERROR
"createTH : error length <= 0"
Hash table can't be created with length <= 0.

SEE ALSO
log(1), tsh(1), destroyTH(3), searchTH(3), addTH(3), deleteTH(3), displayTH(3).